-- Example: Bullet

lg = love.graphics


tox = 0
toy = 0

x = 10
y = 10
difx = 0
dify = 0

vel = 40

function love.load()
    image = love.graphics.newImage("images/love-ball.png")
end

function love.update(dt)
    	
	local tx = x + difx
	local ty = y + dify
	if tx > tox then
		x = 10
		difx = 0
	else
		x = tx
	end
	if ty > toy then
		y = 10
		dify = 0
	else
		y = ty
	end
	if love.mouse.isDown('l') then
    		tox = love.mouse.getX()
    		toy = love.mouse.getY()
		difx = math.sqrt(((tox - x) / vel) *((tox - x) / vel))
		dify = math.sqrt(((toy - y) / vel) *((toy - y) / vel))
	end
end

function love.draw()
    	love.graphics.draw(image, x, y)
	--DBG
	lg.print("CLICK LEFT MOUSE ON THE SCREEN TO SHOT BALL\nTOX : ".. tox .."\nTOY: ".. toy .."\nDIFX: ".. difx .."\nDIFY: ".. dify .."\nX: ".. x .."\nY: ".. y,140, 20)
end


